# AVDAgent.md

## NAMESPACE

RASAdminEngine.Core.OutputModels.AVD

## DESCRIPTION

AVD Agent Settings

## INHERITED FROM

[RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)

⇒

AVDAgent

## INTERFACES

* ISerializable
* IComparable

## PUBLIC PROPERTIES

| Type                                                                                                              | Name                 | Description                                        |
| ----------------------------------------------------------------------------------------------------------------- | -------------------- | -------------------------------------------------- |
| Boolean                                                                                                           | EnableSchedule2      | Whether to enable a second schedule.               |
| Boolean                                                                                                           | LocalSessionTimeZone | Whether to use the local session time zone or not. |
| Boolean                                                                                                           | ScheduleAgentUpdates | Whether to enable schedule agent updates.          |
| [DayOfWeek](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/dayofweek.md)       | ScheduleDay1         | The First Schedule Day                             |
| [DayOfWeek](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/dayofweek.md)       | ScheduleDay2         | The Second Schedule Day                            |
| [ScheduleTime](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/scheduletime.md) | ScheduleTime1        | The First Schedule Time                            |
| [ScheduleTime](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/scheduletime.md) | ScheduleTime2        | The Second Schedule Time                           |
| String                                                                                                            | TimeZone             | The Time Zone                                      |

## PUBLIC METHODS

| Type        | Name                    | Description                                                                                                                                |
| ----------- | ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Int32       | CompareTo (Object obj)  | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Boolean     | Equals (Object obj)     | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Int32       | GetHashCode ()          | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Type        | GetType ()              | String                                                                                                                                     |
| ToString () | ### References to Types |                                                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdagent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
